> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artaios.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Available Collections

List collections available for the current user to create knowledge bases.

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET https://api.artaios.ai/api/v1/knowledge-bases/available-collections/ \
    -H "x-api-key: YOUR_API_KEY"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.artaios.ai/api/v1/knowledge-bases/available-collections/",
      headers={"x-api-key": "YOUR_API_KEY"}
  )
  result = response.json()
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.artaios.ai/api/v1/knowledge-bases/available-collections/', {
    headers: {
      'x-api-key': 'YOUR_API_KEY'
    }
  });
  const result = await response.json();
  ```
</CodeGroup>

## Response

Returns a success wrapper with available collections:

```json theme={null}
{
  "success": true,
  "collections": [
    {
      "id": "coll_123",
      "name": "Product Documentation",
      "description": "All product manuals and guides",
      "created_at": "2025-01-15T10:30:00Z",
      "datasource_count": 15
    },
    {
      "id": "coll_456",
      "name": "FAQ Collection",
      "description": "Frequently asked questions",
      "created_at": "2025-01-15T11:00:00Z",
      "datasource_count": 8
    }
  ],
  "count": 2
}
```
